<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.video.mapper.DsAisStationMapper">
 
    <resultMap type="com.ltgk.video.domain.entity.DsAisStation" id="DsAisStationMap">
            <result property="id" column="id"/>
            <result property="serialNumber" column="serial_number"/>
            <result property="belongUnit" column="belong_unit"/>
            <result property="portId" column="port_id"/>
            <result property="portName" column="port_name"/>
            <result property="aisStationCode" column="ais_station_code"/>
            <result property="aisStationName" column="ais_station_name"/>
            <result property="aisStationType" column="ais_station_type"/>
            <result property="model" column="model"/>
            <result property="manufacturer" column="manufacturer"/>
            <result property="addr" column="addr"/>
            <result property="longitude" column="longitude"/>
            <result property="latitude" column="latitude"/>
            <result property="coverageRadius" column="coverage_radius"/>
            <result property="aisStationIp" column="ais_station_ip"/>
            <result property="aisStationPort" column="ais_station_port"/>
            <result property="aisStationAccount" column="ais_station_account"/>
            <result property="aisStationPassword" column="ais_station_password"/>
            <result property="channelAFreq" column="channel_a_freq"/>
            <result property="channelBFreq" column="channel_b_freq"/>
            <result property="transmitPower" column="transmit_power"/>
            <result property="antennaHeight" column="antenna_height"/>
            <result property="protocolVersion" column="protocol_version"/>
            <result property="deployDate" column="deploy_date"/>
            <result property="lastMaintenanceDate" column="last_maintenance_date"/>
            <result property="runStatus" column="run_status"/>
            <result property="delFlag" column="del_flag"/>
            <result property="areaCode" column="area_code"/>
            <result property="areaName" column="area_name"/>
            <result property="createBy" column="create_by"/>
            <result property="createAt" column="create_at"/>
            <result property="updateBy" column="update_by"/>
            <result property="updateAt" column="update_at"/>
            <result property="remark" column="remark"/>
    </resultMap>
</mapper>

